# End Of Life Marketing Docs
Handy Links:
[Namecheap](https://www.namecheap.com/)
[Vercel](https://vercel.com/)
[Svelte](https://svelte.dev/)
[SvelteKit](https://kit.svelte.dev/)
[Github](https://github.com/)
[ImprovMX](https://improvmx.com/)
[Formspark](https://formspark.io/)
Howdy there this is the End of life docs from Deviated Systems, whether it be from a contract ending or from a change in interest these docs should be able to get you in the right direction.

## Domains & Namecheap
We internally use Namecheap for our domain name solution (buying and managing a domain). Namecheap accounts are completely free and you get good customer service for what you're paying for. [Namecheap](https://www.namecheap.com/) 
If you don't own you own domain or if you don't have it under your account we will transfer the Domain to the email we have on file to that email. so all you'll have to do is accept the transfer and the setting of the domain will be imported back into your account. 
`NOTE: When we transfer the domain to you we will no longer have any access to the domain so be sure to check you email daily so the transfer will go through.`
Now that you have your domain imported lets move on to hosting 🙂
## Github & Vercel
We use vercel for our hosting solution since we use [Svelte](https://svelte.dev/) /[SvelteKit](https://kit.svelte.dev/) as the programming language for our website. Vercel usually costs around $40 per month depending on users and concurrent builds (*concurrent builds being have multiple versions of the site either for production testing or for rapidly testing the site for new features*). Almost all of your plans should be around the $20 range however. 

Okay so to get started with hosting your website you'll first need a [Github](https://github.com/) account to manage your files (*think of this as a way that future web developers / marketers can inspect your website when you need to share it with them*). This is also used for versioning so incase someone breaks the site you can wind it back to the last stable version 🙂.
So after youve gotten your account all setup you'll need to create a **PRIVATE** Repository (*Where other users cant see your website*) you can name it whatever you'd like.
Video:


[![Step Image](https://img.youtube.com/vi/AnhBO9qe9EI/0.jpg)](https://youtu.be/AnhBO9qe9EI?t=53)

Where it says .gitignore select `NODE` and license select `None` (*As you're most likely not licensing your website **As Software**) when you're making the repository.

#### Okay So what did I just do?
```
So what you just did is create essentially a "Folder" for your website that can be shared with vercel to host those files for you.
```
### Adding content to your Repository
Please Refer to video:


[![Step Image](https://img.youtube.com/vi/musZVdkez0g/0.jpg)](https://youtu.be/musZVdkez0g)

#### Setting Up Vercel
Now that your github repo has content for your website inside of it its time to setup vercel to host it.
 You'll need to sign into vercel using github then choose to setup a new project and select from your existing repositories the one you've created. 
From there vercel will get the files from your github repo and start compiling them for the web. (*Most sites can take 2-10 minuets to build depending on the size of the website while most small sites can be as short as 45 seconds*). After wards you should get a notification that your website was built successfully and there is a link to view it. Make sure that the website is how it had looked prior and the same functionality is there too. The last step is DNS + Domains

#### Domains & Vercel
When you have your repo inside of vercel you should see some type of test/preview url like this: `[projectname]-[randomcharacters].vercel.app/`
This is so that you can make sure your website looks correct and has all of the settings ready to roll.
You'll need to navigate to the settings of your repo in vercel then in the side bar click on `Domains`. Then you'll see a textbox where you can add a domain that will be linked to your project. After you add the desired domain from your namecheap account it might ask you if you want to redirect `www.[domain].com` to `[domain].com` which is the preferred way to do it. no matter what you choose you should then see the domain in the list of domains associated with the repo and two tabs that either say : `A Record (Reccomended)` or `Nameservers` to make the setup easy you should choose Nameservers and let vercel add the records for you automagically.
Now vercel is looking at your domain for any changes, this is where you'll need to go back to [Namecheap](https://www.namecheap.com/) and change the DNS setting to match what vercel is asking for.
You'll be navigating to your domain then where it says `NAMESERVERS` select `Custom DNS`. Two or more text inputs will be revealed and you can input the name server records that vercel has given you then, press save and wait about 15-35 minuets and vercel will detect the changes and push the site to the domain!
Refer to Video if you have any questions or email Neil:
Video:
[![Step Image](https://img.youtube.com/vi/Eg496-9jlLA/0.jpg)](https://youtu.be/Eg496-9jlLA)
[N.Master@Deviatedsystems.com](mailto:N.Master@Deviatedsystems.com?subject=EOL)

### Optional / Situational
#### Email
We internally use [ImprovMX](https://improvmx.com/) for mail servers as this lets users email us and we can do email marketing from the domains. Note that ImprovMX is essentially a forwarding address for emails so you'll need to setup an email service like GMail or Titan if you're looking for a traditional email experience.

#### Form Submissions
Our Forms are powered by [Formspark](https://formspark.io/) and [BotPoison](https://botpoison.com/) is used to keep down spam. Formspark uses a credit based system for managing forms by default when you sign up you get 250 submissions. In most cases you were charged for a form submissions package and you forms have a 50,000 submission total.

&copy; 2022 Deviated Systems, LLC